Loading...
Searching...
No Matches
RDPickers::LeaderPickerState< T > Struct Template Reference

`#include <LeaderPicker.h>`

## Public Member Functions

| LeaderPickerState (unsigned int count, int)
bool | empty ()
unsigned int | compact (int *dst, int *src, unsigned int len)
void | compact (int pick)
int | compact_next ()

## Public Attributes

std::vector< int > | v
unsigned int | left
double | threshold
int | query
T * | func

## Detailed Description

template<typename T>
struct RDPickers::LeaderPickerState< T >

Definition at line 351 of file LeaderPicker.h.

## Constructor & Destructor Documentation

## LeaderPickerState()

template<typename T>

RDPickers::LeaderPickerState< T >::LeaderPickerState | ( | unsigned int | count,
|  | int | )

inline

Definition at line 358 of file LeaderPicker.h.

References func, left, query, threshold, and v.

## Member Function Documentation

## compact() [1/2]

template<typename T>

unsigned int RDPickers::LeaderPickerState< T >::compact | ( | int * | dst,
|  | int * | src,
|  | unsigned int | len )

inline

Definition at line 368 of file LeaderPicker.h.

References query, and threshold.

Referenced by compact(), and compact_next().

## compact() [2/2]

template<typename T>

void RDPickers::LeaderPickerState< T >::compact | ( | int | pick | ) |

inline

Definition at line 380 of file LeaderPicker.h.

References compact(), left, query, and v.

## compact_next()

template<typename T>

int RDPickers::LeaderPickerState< T >::compact_next | ( |  | ) |

inline

Definition at line 385 of file LeaderPicker.h.

References compact(), left, query, and v.

## empty()

template<typename T>

bool RDPickers::LeaderPickerState< T >::empty | ( |  | ) |

inline

Definition at line 366 of file LeaderPicker.h.

References left.

## Member Data Documentation

## func

template<typename T>

T* RDPickers::LeaderPickerState< T >::func

Definition at line 356 of file LeaderPicker.h.

Referenced by LeaderPickerState().

## left

template<typename T>

unsigned int RDPickers::LeaderPickerState< T >::left

Definition at line 353 of file LeaderPicker.h.

Referenced by compact(), compact_next(), empty(), and LeaderPickerState().

## query

template<typename T>

int RDPickers::LeaderPickerState< T >::query

Definition at line 355 of file LeaderPicker.h.

Referenced by compact(), compact(), compact_next(), and LeaderPickerState().

## threshold

template<typename T>

double RDPickers::LeaderPickerState< T >::threshold

Definition at line 354 of file LeaderPicker.h.

Referenced by compact(), and LeaderPickerState().

## v

template<typename T>

std::vector<int> RDPickers::LeaderPickerState< T >::v

Definition at line 352 of file LeaderPicker.h.

Referenced by compact(), compact_next(), and LeaderPickerState().

The documentation for this struct was generated from the following file:

- LeaderPicker.h